apache tomcat 9.x не работает с eclipse и Java 10.0.1

Я установил apache-tomcat- 9.0.7 на свой Windows-компьютер и имею следующие конфигурации среды:

echo% JAVA_HOME%

C: \ Program Files \ Java \ jdk-10.0.1


echo% JRE_HOME%

C: \ Program Files \ Java \ jre-10.0.1


ОС: Windows 8 64-бит


Eclipse Версия: Oxygen.3a Release (4.7.3a)


Всякий раз, когда я запускаю catlina.bat start с cmd , сервер отлично работает на localhost. Но я не могу получить экземпляр сервера из конфигурации сервера eclipse.

  1. Определен новый сервер в eclipse и добавлен экземпляр apache-tomact 9.0
  2. После нажатия на стартовый сервер появляется следующая ошибка:

    -Djava.endorsed.dirs = C: \ Software \ apache-tomcat-9.0.7 \ endorsed не поддерживается . Endorsed standards and standalone APIs in modular form will be supported via the concept of upgradeable modules .

Экран ошибок

Любое решение для этой проблемы?

Вам нужно обновление, которое не находится на основном сайте Oxygen. Добавьте http://download.eclipse.org/webtools/repository/oxygen/ в качестве URL-адреса на странице предпочтений доступных программных сайтов, а затем проверьте обновления в меню « Справка» .

https://bugs.eclipse.org/533162

Изменить: это исправление будет правильно включено в выпуск Photon (WTP 3.10) в конце этого месяца.

Мне пришлось удалить этот аргумент из конфигурации запуска:

введите описание изображения здесь

Давайте будем гением компьютера.